%{!?rhrel:%define rhrel %(cut -d' ' -f5 /etc/redhat-release )}

Summary:        A GTK2 web development application for experienced users.
Name:           bluefish
Version:        0.11

%if "%{rhrel}" == "9"
Release:        0.fdr.2.rh90
%endif

%if "%{rhrel}" > "9"
Release:        0.fdr.2.rh90.93
%endif

Epoch:          0
URL:            http://bluefish.openoffice.nl/
License:        GPL
Group:          Development/Tools
Source0:	http://pkedu.fbt.eitn.wau.nl/~olivier/downloads/bluefish-0.11.tar.bz2 
Source1:	bluefish.desktop
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel >= 0:2.0.6
BuildRequires:	pcre-devel >= 0:3.9

%if "%{rhrel}" > "9"
BuildRequires:  aspell-devel >= 0:0.5
%endif

BuildRequires:	gettext
BuildRequires:	desktop-file-utils

%description
Bluefish is a GTK+ HTML editor for the experienced web designer or
programmer. It is not finished yet, but already a very powerful site
creating environment. Bluefish has extended support for programming
dynamic and interactive websites, there is for example a lot of PHP
support.



%prep
%setup -q



%build
%configure
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
make install                                                 \
    bindir=${RPM_BUILD_ROOT}%{_bindir}                       \
    pkgdatadir=${RPM_BUILD_ROOT}%{_datadir}/%{name}          \
    datadir=${RPM_BUILD_ROOT}%{_datadir}                     \
    gnome2menupath=${RPM_BUILD_ROOT}%{_datadir}/applications \
    gnome1menupath=/_none                                    \
    iconpath=${RPM_BUILD_ROOT}%{_datadir}/pixmaps            \
    localedir=${RPM_BUILD_ROOT}%{_datadir}/locale
%find_lang %{name}

install -p -D -m0644 inline_images/bluefish_icon1.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
install -p -D -m0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Development                           \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/bluefish
%{_datadir}/bluefish
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png



%changelog
* Mon Sep 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.11-0.fdr.2
- Now auto-detecting RH release.

* Sun Jul 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.11-0.fdr.1
- Updated to 0.11.

* Fri Jul 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.10-0.fdr.2
- Enable feature diferention for shrike vs severn.
- BuildReq aspell-devel for severn.
- in bluefish.desktop: Terminal=0   =>  Terminal=false.
- Source0 path updated.

* Thu Jul 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.10-0.fdr.1
- Updated to 0.10.

* Thu Jul 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.10-0.fdr.0.1.20030716
- 2003-07-16 snapshot.

* Thu Apr 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9-0.fdr.5
- Added gettext to BuildRequires.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9-0.fdr.4
- Changed category to X-Fedora-Extra.
- Added Epoch:0.
- Removed redundant Requires entries.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9-0.fdr.3
- Updated for inclusion in fedora

* Wed Mar 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9-0.fdr.2
- Cleaned up spec file

* Wed Feb 19 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0.9-1.fedora.1
- Updated to 0.9

* Sat Feb 8 2003 Phillip Compton
-Update to snapshot: 20030207

* Wed Feb 5 2003 Phillip Compton
-Update to snapshot: 20030205

* Wed Jan 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest snapshot which should be more stable.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.
- Major spec file updates based on the one from Matthias Haase.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Nov 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.
- Spec file simplifications since the build is now cleaner :-)

* Wed May  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.
- Added a GNOME desktop entry.
- Compiled with kgcc and reported the problems encountered with gcc 2.96.

* Fri May 5 2000   Bo Forslund  <bo.forslund@abc.se>
  - fine tuning of the spec file
  - possible to build with all processors on smp machines
  - an entry for RedHats wmconfig

* Tue Mar 21 2000 CW Zuckschwerdt <zany@triq.net>
  - complete rewrite of spec file
  - relocateable on build-time
  - no privileges required while building
  - fix for install_location (should really be $(LIBDIR)/bluefish!)
  - included man, locale and lib into RPM (was seriously broken)

* Thu Jan 13 2000 Chris Lea <chrislea@luciddesigns.com>
  - Fixed up spec file some. bluefish-0.3.5

* Wed Nov 17 1999 Chris Lea <chrislea@luciddesigns.com>
  - added spec file. this is my third RPM that I've made a spec
    file for, so please be merciful if I've screwed something up

- Initial RPM release. <version>
